> For the complete documentation index, see [llms.txt](https://api-docs.devhub.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.devhub.com/advanced/site-check.md).

# Site Check

## Site Check

The Site Check endpoint is a way for you to make sure that a URL is available to publishing prior to creating or updating a Site or Proxy. It searches for any existing non-deleted or non-disabled Site or Proxy on our side.

```
GET /api/v2/sites/check/?formatted_domain=example.com&base_directory=/
```

### Parameters

| Name               | Type     | Description                                                                                                                 |
| ------------------ | -------- | --------------------------------------------------------------------------------------------------------------------------- |
| `formatted_domain` | `string` | The hostname/domain, including the domain and subdomain (i.e `www.example.com`)                                             |
| `base_directory`   | `string` | For landing pages, the directory that the page will be published. For websites published under a root domain is slash (`/`) |

### Response

If the URL is available

```javascript
{
  "available": true
}
```

If the URL is not available, it will return details about the conflicting object

| Field          | Description                                     |
| -------------- | ----------------------------------------------- |
| `object_class` | Type of object (`Site`, `Proxy`, `DomainAlias`) |
| `object_pk`    | ID of the object                                |

```javascript
{
    "available": false,
    "object_class": "Site",
    "object_pk": 1710945
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.devhub.com/advanced/site-check.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
